> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a campaign

> Fetches details of a specific campaign using the provided campaign ID.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-query.json get /experience-manager/campaigns/{id}
openapi: 3.0.1
info:
  title: Fusion Query API
  description: >-
    A Lucidworks Fusion microservice for machine-learning-enhanced ranking and
    retrieval.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion app.
security:
  - Basic auth: []
  - API key: []
tags:
  - name: Custom Rule Type API
    description: Endpoints to define and manage custom rule type definitions.
  - name: Experiments API
    description: >-
      Use the Experiments API to compare different configuration variants and
      determine which ones are most successful.
  - name: Query Pipelines API
    description: >-
      Use these endpoints to view and manage your query pipelines.  You can also
      send queries using this API, though the Query Profiles API is recommended
      instead.
  - name: Query Profiles API
    description: >-
      The Query Profiles API provides static endpoints that you can consistently
      point to when querying your collections.  Query profiles allow you to
      change the query pipelines or collections behind them without changing the
      endpoint you use for your search queries.  See the Query Profiles CRUD API
      for endpoints that create and modify query profiles.
  - name: Query Profiles CRUD API
    description: >-
      Use these endpoints to create and modify query profiles.  Query profiles
      allow you to change the query pipelines or collections behind them without
      changing the endpoint you use for your search queries.  See the Query
      Profiles API for the query endpoints.
  - name: Query Rewrite API
    description: >-
      The Query Rewrite API manages documents used for query rewriting to
      improve relevancy using AI-generated data. Primarily for internal use.
  - name: Query Stage API
    description: >-
      Use these endpoints to view the available query pipeline stages and their
      configuration parameters.
  - name: Query Stage Plugins API
    description: >-
      Use these endpoints to view, install, and manage custom query stages
      developed with the Query Stage SDK.
  - name: Signal Indexing API
    description: Endpoints to index signals.
  - name: Experience Manager API
    description: API only for internal use by the Experience Manager Springboard system
  - name: Query Pipeline Template API
    description: Used internally to generate query pipelines from a template.
externalDocs:
  description: Lucidworks Documentation.
  url: https://doc.lucidworks.com/
paths:
  /experience-manager/campaigns/{id}:
    get:
      tags:
        - Experience Manager API
      summary: Retrieve a campaign
      description: Fetches details of a specific campaign using the provided campaign ID.
      operationId: getCampaignUsingGET
      parameters:
        - name: id
          in: path
          description: Unique identifier of the campaign to retrieve.
          required: true
          schema:
            type: string
        - name: context
          in: query
          description: >-
            Application context for the campaign request, typically indicating
            the scope or tenant.
          required: true
          schema:
            type: string
        - name: staging
          in: query
          description: >-
            Indicates whether to retrieve the campaign from a staging
            environment.
          required: true
          schema:
            type: boolean
      responses:
        '200':
          description: Successfully retrieved the campaign details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignRes'
        '401':
          description: >-
            Unauthorized request. The caller does not have permission to access
            this campaign.
          content: {}
        '403':
          description: Forbidden request. The user does not have the required privileges.
          content: {}
        '404':
          description: Campaign not found for the given campaign ID.
          content: {}
components:
  schemas:
    CampaignRes:
      type: object
      title: Campaign Response
      description: Represents the response containing details of a campaign.
      properties:
        doc_type:
          type: string
          description: Specifies the document type of the campaign.
        effective_range:
          type: array
          description: The time range during which the campaign is active.
          items:
            type: string
        id:
          type: string
          description: Unique identifier for the campaign.
        name:
          type: string
          description: The name of the campaign.
        updatedOn:
          type: string
          format: date-time
          description: Timestamp indicating when the campaign was last updated.
  securitySchemes:
    Basic auth:
      type: http
      scheme: basic
    API key:
      name: x-api-key
      type: apiKey
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.